## org.eclipse.jet.taglib
Class AbstractEmptyTag

    java.lang.Object
      org.eclipse.jet.taglib.AbstractCustomTag
          org.eclipse.jet.taglib.AbstractEmptyTag

All Implemented Interfaces:
  CustomTag, EmptyTag

    public abstract class AbstractEmptyTag

extends AbstractCustomTag
implements EmptyTag

An abstract implementation of `EmptyTag`.

Constructor Summary
`AbstractEmptyTag()`

Method Summary
`CustomTagKind` `getKind()` Return the kind of the custom tag

Methods inherited from class org.eclipse.jet.taglib.AbstractCustomTag
`getAttribute, getOut, getParent, getRawAttribute, setContext, setOut, setParent, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jet.taglib.EmptyTag
`doAction`

Methods inherited from interface org.eclipse.jet.taglib.CustomTag
`getAttribute, getOut, getParent, getRawAttribute, setContext, setOut, setParent, setTagInfo`

Constructor Detail

### AbstractEmptyTag

    public AbstractEmptyTag()

Method Detail

### getKind

    public final CustomTagKind getKind()

  Description copied from interface: `CustomTag`
  Return the kind of the custom tag

  Specified by:
    `getKind` in interface `CustomTag`
  Returns:
    `CustomTagKind.EMPTY`
  See Also:
    `CustomTag.getKind()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.